> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gbase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Realtime Bots

> List bots that have at least one Realtime session, with usage stats.



## OpenAPI

````yaml https://api.gbase.ai/openapi-redoc.json get /v1/robots/realtime-cost/bots
openapi: 3.1.0
info:
  title: GBase
  description: >
    # Introduce

    This API document can help you understand GBase more deeply. 

    You can train your own AI directly through the interface of this document.



    ##  Authentication


    Home page: [https://gbase.ai](https://gbase.ai)


    Huggingface:
    [https://huggingface.co/gptbase](https://huggingface.co/gptbase)


    The GBase API uses API keys for authentication. Visit your API Keys page to
    retrieve the API key you'll use in your requests.


    Remember that your API key is a secret! Do not share it with others or
    expose it in any client-side code (browsers, apps). 

    Production requests must be routed through your own backend server where
    your API key can be securely loaded from an environment variable or key
    management service.


    All API requests should include your API key in an Authorization HTTP header
    as follows:


    Parameter name: Authorization


    Value: Bearer [YOUR_API_KEY](https://admin.gbase.ai/keys)


    ```

    Authorization: Bearer YOUR_API_KEY

    ```


    ## Use steps

    1.Fill in your API keys.


    2.You can create an AI by using either the API interface or the
    administrative backend. Once created, the AI will generate an ID which will
    be required for the subsequent steps.


    3.Use the generated ID to call the file upload interface.


    4.After uploading the file, you can use the question interface to inquire
    about it.
  version: 0.0.1
servers:
  - url: https://api.gbase.ai
security: []
paths:
  /v1/robots/realtime-cost/bots:
    get:
      tags:
        - Question
      summary: List Realtime Bots
      description: List bots that have at least one Realtime session, with usage stats.
      operationId: list_realtime_bots_v1_robots_realtime_cost_bots_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/RealtimeBotItemOut'
                type: array
                title: Response List Realtime Bots V1 Robots Realtime Cost Bots Get
      security:
        - Auth0HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    RealtimeBotItemOut:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        session_count:
          type: integer
          title: Session Count
          default: 0
        first_session_at:
          type: string
          format: date-time
          title: First Session At
        last_session_at:
          type: string
          format: date-time
          title: Last Session At
      type: object
      required:
        - id
      title: RealtimeBotItemOut
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````